Get asset detail with generations list
GET
/api/assets/{id}
Authentication
API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Example:
"abc123"Responses
200
Asset detail
application/jsonasset
object
REQUIRED
id
string
REQUIRED
project_id
string
REQUIRED
src_url
string
REQUIRED
status
string
REQUIRED
Enum:
pending, ready, failedmp4_url
string | null
REQUIRED
poster_url
string | null
REQUIRED
duration_ms
number | null
REQUIRED
bytes
number | null
REQUIRED
vision_prompt
string | null
REQUIRED
model
string | null
REQUIRED
loop_mode
string | null
REQUIRED
Enum:
native, crossfade, nullcreated_at
number
REQUIRED
ready_at
number | null
REQUIRED
error
string | null
REQUIRED
generations
object[]
REQUIRED
Array of:
404
Not found
curl -X GET 'https://motioness.com/api/assets/abc123'
const response = await fetch('https://motioness.com/api/assets/abc123', { method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://motioness.com/api/assets/abc123')print(response.json())
200
Response
{ "asset": { "id": "<string>", "project_id": "<string>", "src_url": "<string>", "status": "pending", "mp4_url": "<string>", "poster_url": "<string>", "duration_ms": 123, "bytes": 123, "vision_prompt": "<string>", "model": "<string>", "loop_mode": "native", "created_at": 123, "ready_at": 123, "error": "<string>" }, "generations": [ "<object>" ]}
API Playground
Try this endpoint
GET
/api/assets/{id}